Bug 146928 - kernel panic on ipv6 ping from teredo host
kernel panic on ipv6 ping from teredo host
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 15:20 EST by Jason Duerstock
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 23:44:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Duerstock 2005-02-02 15:20:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a6)
Gecko/20050111

Description of problem:
After adding a route to the Microsoft "Teredo" IPV6 net block,
the kernel panics after receiving a ping from a Teredo host
with the following message:

net/ipv6/icmp.c:93: spin_trylock(net/core/sock.c:dccaed1c) already
locked by net/ipv6/icmp.c/93
Kernel panic - not syncing: net/ipv6/icmp.c:106
spin_unlock(net/core/sock.c:dccaed1c) not locked

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.1121_FC4

How reproducible:
Always

Steps to Reproduce:
1. bring up 6to4 interface
2. add route with "ip -f inet6 route add 3ffe:831f::/32 dev tun6to4"
3. ping IPv6 address from remote teredo host
4. wait for smoke and ruin

Actual Results:  kernel panic message (see description)

Expected Results:  ipv6 ping reply

Additional info:
Comment 1 Dave Jones 2005-10-06 00:32:38 EDT
does this still happen with the current errata kernel ?
Comment 2 Dave Jones 2005-12-27 23:44:02 EST
This bug has been mass-closed along with other bugs that have been in NEEDINFO
state for several months.

Due to the large volume of inactive bugs in bugzilla, this is the only method we
have of cleaning out stale bug reports where the reporter has disappeared.

If you can reproduce this bug after installing all the current updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting it be reopened,
and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.